 #  Copyright 2010 Elmer Garduno
 #
 #  Licensed under the Apache License, Version 2.0 (the "License");
 #  you may not use this file except in compliance with the License.
 #  You may obtain a copy of the License at
 #
 #      http://www.apache.org/licenses/LICENSE-2.0
 #
 #  Unless required by applicable law or agreed to in writing, software
 #  distributed under the License is distributed on an "AS IS" BASIS,
 #  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 #  See the License for the specific language governing permissions and
 #  limitations under the License.

import urllib2
import urllib

import simplejson

def term_extraction(text):
    url = 'http://search.yahooapis.com/ContentAnalysisService/V1/termExtraction'
    appid = 'YahooDemo'
    text = text.encode('utf8')
    params = urllib.urlencode({
            'appid': appid,
            'context': text,
            'output': 'json',
            })
    conn = urllib.urlopen(url, params)
    data = simplejson.load(conn)
    return data['ResultSet']['Result']
